summaryrefslogtreecommitdiff
path: root/src/ivyd.init
diff options
context:
space:
mode:
authorsc1999-02-18 17:34:07 +0000
committersc1999-02-18 17:34:07 +0000
commit4fdae569740343bb3aedb95f25cb2e40e762da9b (patch)
treeabd149af86ce027b078c2941e5e61e53c39ed4b9 /src/ivyd.init
parent2732f1ee8cf7590c53fd52abc9be0c4ee6a4a3c2 (diff)
downloadivyd-4fdae569740343bb3aedb95f25cb2e40e762da9b.zip
ivyd-4fdae569740343bb3aedb95f25cb2e40e762da9b.tar.gz
ivyd-4fdae569740343bb3aedb95f25cb2e40e762da9b.tar.bz2
ivyd-4fdae569740343bb3aedb95f25cb2e40e762da9b.tar.xz
Created boot file, and configured Makefile for package creation
Diffstat (limited to 'src/ivyd.init')
-rwxr-xr-xsrc/ivyd.init43
1 files changed, 43 insertions, 0 deletions
diff --git a/src/ivyd.init b/src/ivyd.init
new file mode 100755
index 0000000..5acb286
--- /dev/null
+++ b/src/ivyd.init
@@ -0,0 +1,43 @@
+#!/bin/sh
+#
+# irbox: Starts the in.ivyd super-daemon for the ivyd Ivy relay
+#
+# Version: @(#) /etc/rc.d/init.d/irbox.init 1.0
+#
+# chkconfig: - 97 03
+# description: This is a daemon that works as a port server for ivyd, \
+# a relay to Ivy for short-lived applications
+# processname: in.ivyd
+# config:
+
+# Source function library.
+. /etc/rc.d/init.d/functions
+
+# See how we were called.
+case "$1" in
+ start)
+ echo -n "Ivy daemon port server... "
+ daemon in.ivyd -boot
+ echo
+ touch /var/lock/subsys/in.ivyd
+ ;;
+ stop)
+ echo -n "Shutting Ivy dameon port server "
+ killproc in.ivyd
+ rm -f /var/lock/subsys/in.ivyd
+ echo
+ ;;
+ status)
+ status in.ivyd
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "*** Usage: in.ivyd {start|stop|status|restart}"
+ exit 1
+esac
+
+exit 0
+